using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;

namespace DataProvider
{
    ///<summary>
    ///
    ///</summary>
    public class FamilyProvider
    {
        ///<summary>
        ///
        ///</summary>
        public FamilyProvider()
        {
            
        }

        ///<summary>
        ///
        ///</summary>
        ///<param name="siteid"></param>
        ///<param name="tutoring"></param>
        ///<returns></returns>
        public DataSet GetFilteredFamilyList(Guid siteid, Boolean tutoring)
        {
            DataSet ds = new DataSet();
            DataTable dt = new DataTable();
            dt.Columns.Add("Familyid", Type.GetType("System.Guid"));
            dt.Columns.Add("Parentlastname", Type.GetType("System.String"));
            dt.Columns.Add("Parentfirstname", Type.GetType("System.String"));
            dt.Columns.Add("Email", Type.GetType("System.String"));
            dt.Columns.Add("Homephone", Type.GetType("System.String"));
            dt.Columns.Add("Donotcall", Type.GetType("System.Boolean"));
            dt.Columns.Add("Startofservice", Type.GetType("System.DateTime"));
            dt.Columns.Add("Lengthofservice", Type.GetType("System.Int32"));
            dt.Columns.Add("Zip", Type.GetType("System.Int32"));
            dt.Columns.Add("Status", Type.GetType("System.String"));
            dt.Columns.Add("Comments", Type.GetType("System.String"));

            DataRow dr = dt.NewRow();
            dr["Familyid"] = new Guid("F61072D3-B1F4-4d26-831E-18F587E595E8");
            dr["Parentlastname"] = "Smith";
            dr["Parentfirstname"] = "Joe";
            dr["Email"] = "joe@aol.com";
            dr["Homephone"] = "999-999-9999";
            dr["Donotcall"] = true;
            dr["Startofservice"] = DateTime.Now;
            dr["Lengthofservice"] = 328;
            dr["Zip"] = 71997;
            dr["Status"] = "Active";
            dr["Comments"] = "Testing Notes 1";

            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["Familyid"] = new Guid("B08B3BDF-4EAC-47e0-8D88-CD3719C99527");
            dr["Parentlastname"] = "Jones";
            dr["Parentfirstname"] = "Jenny";
            dr["Email"] = "jjones@aol.com";
            dr["Homephone"] = "112-345-5565";
            dr["Donotcall"] = false;
            dr["Startofservice"] = DateTime.Now;
            dr["Lengthofservice"] = 45;
            dr["Zip"] = 44256;
            dr["Status"] = "Active";
            dr["Comments"] = "Testing Notes 2";

            dt.Rows.Add(dr);

            ds.Tables.Add(dt);
            return ds;
        }
    }
}
